import { Module } from 'vuex';
import routes from './routes';
import { StateInterface } from 'src/store';
import drink, { DrinkInterface } from 'src/plugins/pricelist/store/drinks';
import { FG_Plugin } from 'src/plugins';

const plugin: FG_Plugin.Plugin = {
  name: 'Pricelist',
  mainRoutes: routes,
  requiredModules: [],
  requiredBackendModules: ['pricelist'],
  version: '0.0.1',
  store: new Map<string, Module<DrinkInterface, StateInterface>>([['drink', drink]]),
  widgets: []
  // widgets: [
  //   {
  //     priority: 1,
  //     name: 'greeting',
  //     permissions: []
  //     widget: () => import('./components/Widget.vue')
  //   }
  // ]
};

export default plugin;
